// SPDX-FileCopyrightText: 2023 Aravinth Manivannan <realaravinth@batsense.net>
//
// SPDX-License-Identifier: AGPL-3.0-or-later

use serde::{Deserialize, Serialize};
use url::Url;

use super::suite::Suite;
use super::suite::Test;

#[derive(Clone, Debug, Eq, PartialEq, Deserialize, Serialize)]
pub struct Target {
    pub version: String,
    pub name: String,
    pub container_host: Url,
    pub homepage: Url,
    pub repository: Url,
    pub init_scripts: Option<Vec<Test>>,
    pub suites: Vec<Suite>,
}
